PA2 Control App v1.0.5 (iOS 7.0 or later)

Minimum System Requirements

  • iOS 7.0 and up
  • iPad 2 and up; iPod Touch 5th gen and up; iPhone 4 and up
  • Wi-Fi connection

 


Related Products